package jp.gr.java_conf.abagames.brick.shapes;

import jp.gr.java_conf.abagames.util.gl4j.*;
import gl4java.*;

/**
  shape for effetc line
  */
public class EfcLnShape implements IShape {

  public static final float LENGTH = 5, WIDTH = 0.1f;

  private float[][] vtxs = {
    {-WIDTH, 0, -LENGTH}, {WIDTH, 0, -LENGTH},
    {-WIDTH, 0, LENGTH}, {WIDTH, 0, LENGTH},
  };

  public final void draw(GLFunc gl) {
    gl.glBegin(GLEnum.GL_QUADS);

    if ( ShapeProperties.grdf ) {
    gl.glColor3f(0.1f, 0.1f, 0.1f);
    gl.glVertex3fv(vtxs[0]);
    gl.glVertex3fv(vtxs[1]);
    gl.glColor3f(0.5f, 0.5f, 0.5f);
    gl.glVertex3fv(vtxs[3]);
    gl.glVertex3fv(vtxs[2]);
    gl.glColor3f(0.1f, 0.1f, 0.1f);
    gl.glVertex3fv(vtxs[1]);
    gl.glVertex3fv(vtxs[0]);
    gl.glColor3f(0.5f, 0.5f, 0.5f);
    gl.glVertex3fv(vtxs[2]);
    gl.glVertex3fv(vtxs[3]);
    } else {
    gl.glColor3f(0.3f, 0.3f, 0.3f);
    gl.glVertex3fv(vtxs[0]);
    gl.glVertex3fv(vtxs[1]);
    gl.glVertex3fv(vtxs[3]);
    gl.glVertex3fv(vtxs[2]);
    gl.glVertex3fv(vtxs[1]);
    gl.glVertex3fv(vtxs[0]);
    gl.glVertex3fv(vtxs[2]);
    gl.glVertex3fv(vtxs[3]);
    }

    gl.glEnd();
  }
}

