package jp.gr.java_conf.abagames.util.gl4j;

import gl4java.GLFunc;

/**
  OpenGL position handler
  */
public class TrnsObjDSFix {
  public float x, y, z;

  protected GLFunc gl;
  public IShape shape;

  public TrnsObjDSFix(GLFunc gl, IShape shape) {
    this(gl);
    this.shape = shape;
  }

  public TrnsObjDSFix(GLFunc gl) {
    this.gl = gl;
  }

  public final void draw() {
    gl.glPushMatrix();
    gl.glTranslatef(x, y, z);
    shape.draw(gl);
    gl.glPopMatrix();
  }
}
