package jp.gr.java_conf.abagames.brick;

import jp.gr.java_conf.abagames.brick.shapes.*;
import jp.gr.java_conf.abagames.util.*;
import jp.gr.java_conf.abagames.util.gl4j.*;
import gl4java.*;

/**
  wall
  */
public class Wall {
  public static final float WIDTH = 10, HEIGHT = 12;

  private WallShape wallShape = new WallShape();

  public Wall(GLFunc gl) {
    this.gl = gl;
  }

  public final void set(float x, float y, float d3, float length) {
    this.x = x; this.y = y;
    z = -wallShape.HEIGHT;
    this.d3 = d3;
    wallShape.setLength(length);
  }

  private GLFunc gl;
  private float x, y, z, d3;

  public final void draw() {
    gl.glPushMatrix();
    gl.glTranslatef(x, y, z);
    gl.glRotatef(d3, 0, 0, 1);
    wallShape.draw(gl);
    gl.glPopMatrix();
  }
}

